from circuitsim import *

c = Circuit()

A = Node(c)
B = Node(c)
C = Node(c)

battery = VoltageSource(10, c)
r1 = Resistor(5, c)
r2 = Resistor(15, c)
ground = Ground(c)

wire(ground, 0, A)
wire(battery, 0, A)
wire(r1, 0, A)
wire(r1, 1, B)
wire(r2, 0, B)
wire(r2, 1, C)
wire(battery, 1, C)

c.debug_circuit()
c.debug_simulation()

c.calculate()

print battery.current(0)
print A.voltage()
print B.voltage()
print C.voltage()